%{?python_enable_dependency_generator}
%global module_name freetype
%global pypi_name freetype-py

Name:          python-%{module_name}
Version:       2.3.0
Release:       %mkrel 2
Summary:       Freetype python bindings
Group:         Development/Python
License:       BSD
URL:           https://github.com/rougier/freetype-py
Source0:       https://files.pythonhosted.org/packages/source/f/freetype-py/freetype-py-%{version}.zip

BuildArch:     noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: freetype-devel
BuildRequires: python3-pip
BuildRequires: python3-toml

%description
Freetype python bindings.

%package -n python3-%{module_name}
Summary:        Freetype python 3 bindings
%{?python_provide:%python_provide python3-%{module_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

%description -n python3-%{module_name}
Freetype python3 bindings.

%prep
%autosetup -n freetype-py-%{version}
sed -i '1{\@^#!/usr/bin/env python@d}' freetype/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files freetype

%check
%{__python3} setup.py test

%files -n python3-%{module_name} -f %{pyproject_files}
%doc examples
%license LICENSE.txt


%changelog
* Tue Jan 16 2024 daviddavid <daviddavid> 2.3.0-2.mga10
+ Revision: 2031513
- rebuild for py3.12

* Sun Oct 22 2023 papoteur <papoteur> 2.3.0-1.mga10
+ Revision: 2000102
- new 2.3.0

* Tue Mar 29 2022 umeabot <umeabot> 2.2.0-3.mga9
+ Revision: 1831971
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2.2.0-2.mga9
+ Revision: 1784502
- rebuild for python-3.10

* Fri Aug 21 2020 joequant <joequant> 2.2.0-1.mga9
+ Revision: 1617277
- fix nodeps
- add dep
- imported package python-freetype

